Page MenuHomePhabricator

Drop devDependency on phpunit-mock-objects, which is abandoned and warns against use
Open, Stalled, LowestPublic

Description

The functionality was merged into PHPUnit 7.x.

Related Objects

StatusAssignedTask
StalledNone
StalledNone
OpenNone
OpenNone
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
ResolvedNone
ResolvedQuiddity
ResolvedLadsgroup
ResolvedJoe
ResolvedLegoktm
ResolvedLegoktm
Resolvedhashar
Resolvedhashar
Resolvedssastry
ResolvedSmalyshev
ResolvedLegoktm
Resolvedtstarling
Resolvedtstarling
Resolvedtstarling
Resolvedtstarling
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedDzahn
ResolvedRobH
ResolvedCmjohnson
ResolvedMoritzMuehlenhoff
ResolvedPapaul
ResolvedSmalyshev
Resolvedjcrespo
ResolvedJdforrester-WMF
ResolvedNone
ResolvedDzahn
Resolvedaaron
ResolvedJoe
ResolvedJoe
ResolvedKrinkle
ResolvedBPirkle
ResolvedJoe
ResolvedJoe
ResolvedGilles
ResolvedJoe
ResolvedAnomie
ResolvedAnomie
ResolvedKrinkle
Resolvedjijiki
ResolvedTgr
Resolvedjijiki
ResolvedMoritzMuehlenhoff
ResolvedArielGlenn
DuplicateNone
ResolvedReedy
ResolvedJoe
ResolvedKrinkle
Resolvedthcipriani
ResolvedDzahn
OpenNone
Resolvedjijiki
ResolvedNone
ResolvedNone
Invalidjijiki

Event Timeline

Jdforrester-WMF changed the task status from Open to Stalled.Feb 21 2019, 4:36 PM
Jdforrester-WMF triaged this task as Lowest priority.
Jdforrester-WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2019, 4:36 PM
Anomie added a subscriber: Anomie.Feb 22 2019, 2:24 PM

I was worried that this meant that we'd have to change all our tests to use some other mocking mechanism, but discussion at https://github.com/sebastianbergmann/phpunit-mock-objects/issues/425 suggests that the functionality was merged into PHPUnit in 7.x. So the functionality should still be there, just without needing to pull in this package.

I was worried that this meant that we'd have to change all our tests to use some other mocking mechanism, but discussion at https://github.com/sebastianbergmann/phpunit-mock-objects/issues/425 suggests that the functionality was merged into PHPUnit in 7.x. So the functionality should still be there, just without needing to pull in this package.

Yeah, sorry, I was just creating this as a structural task so when someone complains I can point them to it. :-)

Krinkle moved this task from Inbox to PHPUnit on the MediaWiki-Core-Testing board.Apr 5 2019, 3:51 PM